projects
Get projects
Projects belonging to an owner that are visible to current user.
GET
/
projects
/
{owner_name}
/
cURL
curl --request GET \
--url https://api.avala.ai/api/v1/projects/{owner_name}/ \
--header 'X-Avala-Api-Key: <api-key>'import requests
url = "https://api.avala.ai/api/v1/projects/{owner_name}/"
headers = {"X-Avala-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Avala-Api-Key': '<api-key>'}};
fetch('https://api.avala.ai/api/v1/projects/{owner_name}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"name": "<string>",
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": true,
"is_imported": true,
"owner_name": "<string>",
"short_description": "<string>",
"industry_icon": "<string>",
"task_time_cap_seconds": 1073741823
}
],
"next": "<string>",
"previous": "<string>"
}Authorizations
API_KeyJWT
API key for authentication. Generate one in Mission Control Settings > Security & Identity.
Path Parameters
Query Parameters
Which field to use when ordering the results.
The pagination cursor value.
Number of results to return per page.
Sets the CursorPagination offset when cursor is also set. e.g. cursor=...&offset=1
Sets the CursorPagination reverse when cursor is also set. e.g. cursor=...&reverse=1.
Was this page helpful?
⌘I
cURL
